# all files / ol/webgl/ shader.js

73.91% Statements 17/23
100% Branches 0/0
0% Functions 0/6
73.91% Lines 17/23

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44
    45
    46
    47
    48
    49
    50
    51
    52
    53
    54
    55
    56
    57
    58
    59
    60
    61
    62
    63
    64
    65
    66
    67
    68
    69
    70
    71
    72
    73
    74
    75
    76
    77
    78
    79
    80
    81
    82
    83
    84
    851×
    1×
    1×
    1×

    1×
    1×
    1×

    1×

    1×

    1×

    1×

    1×

    1×

    1×

    1×

    1×

    1×

     goog.provide('ol.webgl.Fragment');
    goog.provide('ol.webgl.Shader');
    goog.provide('ol.webgl.Vertex');
    goog.provide('ol.webgl.shader');

    goog.require('goog.functions');
    goog.require('goog.webgl');
    goog.require('ol.webgl');

    /**
     * @constructor
     * @param {string} source Source.
     * @struct
     */
    ol.webgl.Shader = function(source) {

      /**
       * @private
       * @type {string}
       */
      this.source_ = source;

    };

    /**
     * @return {number} Type.
     */
    ol.webgl.Shader.prototype.getType = goog.abstractMethod;

    /**
     * @return {string} Source.
     */
    ol.webgl.Shader.prototype.getSource = function() {
      return this.source_;
    };

    /**
     * @return {boolean} Is animated?
     */
    ol.webgl.Shader.prototype.isAnimated = goog.functions.FALSE;

    /**
     * @constructor
     * @extends {ol.webgl.Shader}
     * @param {string} source Source.
     * @struct
     */
    ol.webgl.shader.Fragment = function(source) {
      goog.base(this, source);
    };
    goog.inherits(ol.webgl.shader.Fragment, ol.webgl.Shader);

    /**
     * @inheritDoc
     */
    ol.webgl.shader.Fragment.prototype.getType = function() {
      return goog.webgl.FRAGMENT_SHADER;
    };

    /**
     * @constructor
     * @extends {ol.webgl.Shader}
     * @param {string} source Source.
     * @struct
     */
    ol.webgl.shader.Vertex = function(source) {
      goog.base(this, source);
    };
    goog.inherits(ol.webgl.shader.Vertex, ol.webgl.Shader);

    /**
     * @inheritDoc
     */
    ol.webgl.shader.Vertex.prototype.getType = function() {
      return goog.webgl.VERTEX_SHADER;
    };